# Cat

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Declawed** | Pointer to **bool** |  | [optional] 

## Methods

### NewCat

`func NewCat() *Cat`

NewCat instantiates a new Cat object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewCatWithDefaults

`func NewCatWithDefaults() *Cat`

NewCatWithDefaults instantiates a new Cat object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetDeclawed

`func (o *Cat) GetDeclawed() bool`

GetDeclawed returns the Declawed field if non-nil, zero value otherwise.

### GetDeclawedOk

`func (o *Cat) GetDeclawedOk() (*bool, bool)`

GetDeclawedOk returns a tuple with the Declawed field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetDeclawed

`func (o *Cat) SetDeclawed(v bool)`

SetDeclawed sets Declawed field to given value.

### HasDeclawed

`func (o *Cat) HasDeclawed() bool`

HasDeclawed returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


